<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	 xmlns:p="http://primefaces.org/ui"
	
	xmlns:c="http://java.sun.com/jsp/jstl/core"
	xmlns:b="http://bootsfaces.net/ui">
		<html>
	  <h:head>  
<link type="text/css" href="assets/libs/bootstrap/css/bootstrap.css" rel="stylesheet"/>
    </h:head>
	<body>
		<div id="Menu">
		<ui:include src="/HomeEmployee.xhtml" />
		<div class="row">
		 <div class="col-lg-3"></div>
		
		 <div class="col-md-offset-3">
		 <center><h1><STRONG>MyLeaves</STRONG></h1></center>
		  <ui:fragment   rendered="#{leavesBean.showUpdate}">
<div class="row">
					<div class="col-md-12">
						<div class="widget">
							<div class="widget-header transparent">
								<h2><strong>My Leaves</strong> Requests</h2>
								<div class="additional-btn">
									<a href="#" class="hidden reload"><i class="icon-ccw-1"></i></a>
									<a href="#" class="widget-toggle"><i class="icon-down-open-2"></i></a>
									<a href="#" class="widget-close"><i class="icon-cancel-3"></i></a>
								</div>
							</div>
							<div class="widget-content">
								<div class="data-table-toolbar">
								
			
									<div class="row">
										<div class="col-md-4">
										
											
											<h:outputText value="Date of Leave : " />
											<h:form>
											<p:calendar id="german" event="change" value="#{leavesBean.dd}" />
											<h:outputText value="&#160;" />
											<h:commandButton styleClass="btn btn-success" class="btn btn-yellow-1" action="#{leavesBean.filterEmp()}" value="Search" ></h:commandButton>
									
											</h:form>
										</div>
										<div class="col-md-8">
											<div class="toolbar-btn-action">
											<h:form>
											
											    <h:commandLink action="/LeaveRequest?faces-redirect=true" value="Add new" styleClass="btn btn-success"><i class="fa fa-plus-circle"></i></h:commandLink>
												<h:outputText value="&#160;" />
												<h:commandLink action="/LeavesPage?faces-redirect=true" value="Update" styleClass="btn btn-flickr"><i class="fa fa-refresh"></i></h:commandLink>
												</h:form>
											</div>
										</div>
									</div>
								</div>
									
								<div class="table-responsive">
								<h:form>
								<h:dataTable value="#{leavesBean.leaves}" class="table table-hover table-striped" var="e" 
				rendered="#{leavesBean.showUpdate}">
									
										
				<h:column id="c1">
					<f:facet name="header">
						<h:outputText value="date From" />
					</f:facet>
					<h:outputText value="#{e.fromDate}" />
					
				</h:column>
				<h:column id="c2">
					<f:facet name="header">
						<h:outputText value="Date To" />
					</f:facet>
					<h:outputText value="#{e.toDate}" />
					
				</h:column>
				
				<h:column id="c3">
					<f:facet name="header">
						<h:outputText value="Justifed"  />
					</f:facet>
					 
					<h:outputText value="Confirmed" class="label label-success" rendered="#{e.approved}" />
					<h:outputText value="No Confirmed" class="label label-danger" rendered="#{!e.approved}" />
				</h:column>
				<h:column id="c4">
					<f:facet name="header">
						<h:outputText value="Description"  />
					</f:facet>
		
					<h:outputText value="#{e.description}"  />
				</h:column>
				<h:column id="c5">
					<f:facet name="header">
						<h:outputText value="Option" />
					</f:facet>
					<h:commandButton  styleClass="btn btn-info" action="#{leavesBean.doHideUpdate()}"
						value="Update">
						<f:setPropertyActionListener value="#{e}"
							target="#{leavesBean.leave}"></f:setPropertyActionListener>
					</h:commandButton>
					<h:outputText value="&#160;" />
           <p:commandLink value="delete"  styleClass="btn btn-red-1" onclick="PF('#{e.id}r').show();" /> 
				</h:column>
				
									</h:dataTable>
									</h:form>
								</div>
									
								
							</div>
						</div>
					</div>
						
				</div>
</ui:fragment>
				  
		<h:form>
		
              <ui:fragment   rendered="#{not leavesBean.showUpdate}">
    <div class="col-md-offset-2">

                 <div class="widget col-lg-8">
							<div class="widget-header transparent">
								<h2><strong>Extend Leave</strong> Form</h2>
								<div class="additional-btn">
									<a href="#" class="hidden reload"><i class="icon-ccw-1"></i></a>
									<a href="#" class="widget-toggle"><i class="icon-down-open-2"></i></a>
									<a href="#" class="widget-close"><i class="icon-cancel-3"></i></a>
								</div>
							</div>
							<div class=" col-md-offset-2 widget-content padding">

        				<div class="row">
		         		<div class="col-lg-10">
				<table class="table table-hover  table-responsive ">
				<tr><td>Description</td>
				<td>
				<h:inputText value="#{leavesBean.leave.description}" id="validateName" 
										  	required="true"
										  	requiredMessage="Description field is required !"  /><br></br>
										  <h:message 
									  		 for="validateName"
									  		 class="col-sm-7 label label-warning" />
										  	
				</td>
				</tr>
				<tr>
				<td>From: </td>
				<td>
				<p:calendar id="event" value="#{leavesBean.begin}"  >
				
                 </p:calendar>
                 
				</td>
				</tr>
				<tr>
				<td>to: </td>
				<td>
				<p:calendar value="#{leavesBean.end}" >
				
                 </p:calendar>
				</td>
				</tr>
				
				
				
				</table>
				
				<h:outputText value="Check Dates" styleClass="label label-danger" rendered="#{leavesBean.invaludDates}"/>
				<h:commandButton  styleClass="btn btn-info" action="#{leavesBean.updateLeave(leavesBean.leave)}"
						value="Update">
						
					</h:commandButton>
				</div>
				</div>
				
				</div> </div>
				</div>
		</ui:fragment>
  
		
				

			
			</h:form>
			</div></div>
</div>

<ui:repeat value="#{leavesBean.leaves}" var="e"> 
	<p:dialog header="Extends Leave Request" widgetVar="#{e.id}e" modal="true" height="300" width="300">
	<strong>
    <h:outputText   value="you want to Extend your leave request of :" /></strong><br></br>
    <strong><h:outputText  value="Begin :" /></strong>
     <input  class="date" type="date" name="bday" value="#{e.fromDate}" ></input>
     
<br></br><br></br>
    <strong><h:outputText value="To :  " /></strong>
  <input  class="date" type="date" name="bday" value="#{e.toDate}" ></input>
     
    <h:outputText  /><br></br>
    <h:form>
    <br></br><br></br>
     <h:commandButton  class="btn btn-red-1"  value="Update" /> 
    </h:form>
	
    <h:form>
     <h:commandLink  value="send" />
    </h:form>
</p:dialog>   
<p:dialog header="Modal Dialog" widgetVar="#{e.id}r" modal="true" height="150">
	<strong>
    <h:outputText   value="you want to remove your leave request of :" /></strong><br></br>
    <strong><h:outputText  value="Begin :" /></strong>
    <h:outputText   value="#{e.fromDate}" /><br></br>
    <strong><h:outputText value="To :  " /></strong>
     <h:outputText  value="#{e.toDate} " /><br></br>
    <h:outputText  /><br></br>
    <h:form>
    <br></br><br></br>
     <h:commandButton  class="btn btn-red-1" action="#{leavesBean.deleteLeavesById(e.id)}" value="Delete" /> 
    </h:form>

</p:dialog>  
</ui:repeat> 
</body>
	
</html>
</ui:composition>


